/****************************************************************
 *                                                              *
 * File: timdrout.c                     Date: 3/11/95           *
 *                                                              *
 * Disclaimer:                                                  *
 *              Intel provides this AS IS, WITHOUT ANY WARRANTY *
 *              INCLUDING THE WARRANTY OF MERCHANTABILITY OR    *
 *              FITNESS FOR A PARTICULAR PURPOSE, and makes no  *
 *              guarantee or representations regarding the use  *
 *              of, or the results of the use of, the software  *
 *              and documentation in terms of correctness,      *
 *              accuracy, reliability, currentness, or          *
 *              otherwise,  and you rely on the software,       *
 *              documentation, and results solely at your own   *
 *              risk.                                           *
 *                                                              *
 * Description:                                                 *
 *              The purpose of this code is provide a set       *
 *              of instructions that loop for a unspecifed      *
 *              amount of time.  This code calculates all       *
 *              the prime numbers below 10,000.                 *
 *                                                              *
 * Note: For further information on the  instructions,          *
 *       consult your i960(R) Microprocessor User Manual.       *
 *                                                              *
 * Revision History:                                            *
 * ------------------------------------------------------------ *
 *                                                              *
 ****************************************************************/ 

#include <stdio.h>

void timed_routine()
{                       /* begin timed_routine */


volatile unsigned long     num;            /* number to be checked        */
volatile unsigned long     div;            /* potential divisors          */
volatile long              prime;          /* prime number                */



/* Begin search for prime numbers */
   for(num = 3; num <= 70625; num = num + 2)
     {    
       /*begin 'for' loop to evaluate odd numbers*/
       for(div=2, prime = 1; div * div <= num; div++)
         {    
            /*begin 'for' loop div check*/
            if(num % div ==0)  /* check if remainder = 0 */

              if(div*div ==num || num/div != 1)

                prime = 0;      /*number is not prime*/

          }   /*end for loop div check*/

        
     }/*end for loop*/

 }/*end main*/
