
/******************************************************************
 *                                                                 *
 * File: int_proc.s                         Date: 12/13/94         *
 *                                                                 *
 * Procedure: increment_var_isr                                    *
 *                                                                 *
 * Disclaimer:                                                     *
 *              Intel provides this AS IS, WITHOUT ANY WARRANTY,   *
 *              INCLUDING THE WARRANTY OF MERCHANTABILITY OR       *
 *              FITNESS FOR A PARTICULAR PURPOSE, and makes no     *
 *              guarantee or representations regarding the use     *
 *              of, or the results of the use of, the software     *
 *              and documentation in terms of correctness,         *
 *              accuracy, reliability, currentness, or             *
 *              otherwise,  and you rely on the software,          *
 *              documentation, and results solely at your own      *
 *              risk.                                              *
 *                                                                 * 
 * Overview:                                                       *
 *                                                                 *
 *  This file contains the interrupts handling routine for the     *
 *  interrupt example.                                             *
 *                                                                 *
 * Revision History:                                               *
 * ------------------------------------------------------------    *
 *******************************************************************/ 
/* TIMER INTERRUPT SERVICE ROUTINES */

    .globl    _increment_var_isr
_increment_var_isr:
    lda     0xb004000c, r4  /* cio address */

            /* check timers to see if interrupt was generated */
    ldconst 0x0a, r5
    stob    r5, (r4)
    ldob    (r4), r6
    bbs     5, r6, c145_timer

    ldconst 0x0b, r5
    stob    r5, (r4)
    ldob    (r4), r6
    bbs     5, r6, c145_timer

    ldconst 0x0c, r5
    stob    r5, (r4)
    ldob    (r4), r6
    bbs     5, r6, c145_timer

    ret

            /* increment variable */
c145_timer:
    stob    r5, (r4)
    ldconst 0x24, r5
    stob    r5, (r4)

    ld      _interrupt_counter,r4
    addo    r4,1,r4
    st      r4,_interrupt_counter
    ret


 
