/****************************************************************
 *                                                              *
 * File: t85c36.h                      Date: 3/11/95            *
 *                                                              *
 * Disclaimer:                                                  *
 *              Intel provides this AS IS, WITHOUT ANY WARRANTY *
 *              INCLUDING THE WARRANTY OF MERCHANTABILITY OR    *
 *              FITNESS FOR A PARTICULAR PURPOSE, and makes     * 
 *              no guarantee or representations regarding the   * 
 *              use of, or the results of the use of, the       * 
 *              software and documentation in terms of          * 
 *              correctness, accuracy, reliability,             * 
 *              currentness, or otherwise, and you rely on the  * 
 *              software, documentation, and results solely     * 
 *              at your own risk.                               *
 *                                                              *
 * Description:                                                 *
 *              This file contains constant and procedure       *
 *              definitions for the code located in support.c.  *
 *              The user should note the declarations of the    * 
 *              system table structures (i.e. CONTROL_TABLE,    * 
 *              INTERRUPT_TABLE, etc.).  They are provided to   * 
 *              make access to system table information from    * 
 *              the 'C' programming language easier.            *
 *                                                              *
 * Revision History:                                            *
 * ------------------------------------------------------------ *
 *                                                              *
 ****************************************************************/
#ifndef _H_T85C32 
#define _H_T85C32


     /* function prototypes */
extern void init_85c36_timer();
extern void start_timer(int counter, int init_time);
extern void spinwait(int count);

      /*  Definitions for Off-Chip Timers  */
#define CIO             ((volatile CIO_DEV *) 0xb0040000)
#define FIVE_MS 5000
#define CRYSTALTIME     2


      /* Structure for Off-chip Timers */
typedef struct cio {
    volatile unsigned char cdata;
    volatile unsigned char pad1[3]; 
    volatile unsigned char bdata;
    volatile unsigned char pad2[3]; 
    volatile unsigned char adata;
    volatile unsigned char pad3[3];
    volatile unsigned char ctrl;
} CIO_DEV;



#endif 
