/*(cb*/
/**************************************************************************
 *
 *     Copyright (c) 1992 Intel Corporation.  All rights reserved.
 *
 *
 * Intel hereby grants you permission to copy, modify, and distribute this
 * software and its documentation.  Intel grants this permission provided
 * that the above copyright notice appears in all copies and that both the
 * copyright notice and this permission notice appear in supporting
 * documentation.  In addition, Intel grants this permission provided that
 * you prominently mark as not part of the original any modifications made
 * to this software or documentation, and that the name of Intel
 * Corporation not be used in advertising or publicity pertaining to the
 * software or the documentation without specific, written prior
 * permission.
 *
 * Intel provides this AS IS, WITHOUT ANY WARRANTY, INCLUDING THE WARRANTY
 * OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, and makes no
 * guarantee or representations regarding the use of, or the results of the
 * use of, the software and documentation in terms of correctness,
 * accuracy, reliability, currentness, or otherwise, and you rely on the
 * software, documentation, and results solely at your own risk.
 *
 **************************************************************************/
/*)ce*/

/*************************************************************************** 
*	Written:	23 May 1994, Scott Coulter - changed for c145/c146 CX
*       Revised:
*
***************************************************************************/

#include "c145.h"

/* Bus configuration */
/* 
 * Perform a bit-wise OR of the desired parameters to specify a region.
 */

/* For ibr region F description
 */
#define BYTE_0(x)	( (x)        & 0xff)
#define BYTE_1(x)	(((x) >>  8) & 0xff)
#define BYTE_2(x)	(((x) >> 16) & 0xff)
#define BYTE_3(x)	(((x) >> 24) & 0xff)

#ifdef __i960_BIG_ENDIAN__
#define BYTE_ORDER BIG_ENDIAN(1)
#else
#define BYTE_ORDER BIG_ENDIAN(0)
#endif /* __i960_BIG_ENDIAN__ */

/**************************************************************************
 *  The bus width for each region must by defined according to your board *
 *  specification.                                                        *
 **************************************************************************/

#define PCI_BUS	        BUS_WIDTH(32)
#define DRAM		    BUS_WIDTH(32)
#define UART_CIO_PARA   BUS_WIDTH(8)
#define SQUALL_1	    BUS_WIDTH(32)
#define FLASH_ROM	    BUS_WIDTH(8)

#define  REGION_0_CONFIG   PCI_BUS
#define  REGION_2_CONFIG   PCI_BUS
#define  REGION_4_CONFIG   PCI_BUS
#define  REGION_6_CONFIG   PCI_BUS
#define  REGION_8_CONFIG   PCI_BUS
#define  REGION_A_CONFIG   DRAM     /* also conatins uart, cio and parallel */
#define  REGION_C_CONFIG   SQUALL_1	/* Fix in initialization routines */
#define  REGION_E_CONFIG   (FLASH_ROM | BYTE_ORDER)


/********************** XINT interrupt pins **********************/

#define DUART_XINT_PIN		7
#define CIO_XINT_PIN		6
#define SQ_IRQ1_XINT_PIN	5
#define SQ_IRQ0_XINT_PIN	4
/*
	UNUSED			3
	UNUSED			2
*/
#define PARA_XINT_PIN		1
#define PCI_XINT_PIN		0



/* The following variables must be modified.  They define the interrupt *
 * request, vector and offset for each of the timers.  These variables  *
 * are used in ghist, bentime and flash code.                           */
#define TIMER0_VECTOR    226
#define TIMER0_IRQ        6
#define TIMER0_OFFSET     1

#define TIMER1_IRQ        6
#define TIMER1_VECTOR    226
#define TIMER1_OFFSET     2
