/*(cb*/
/*******************************************************************************
 *
 * Copyright (c) 1993, 1994 Intel Corporation
 *
 * Intel hereby grants you permission to copy, modify, and distribute this
 * software and its documentation.  Intel grants this permission provided
 * that the above copyright notice appears in all copies and that both the
 * copyright notice and this permission notice appear in supporting
 * documentation.  In addition, Intel grants this permission provided that
 * you prominently mark as "not part of the original" any modifications
 * made to this software or documentation, and that the name of Intel
 * Corporation not be used in advertising or publicity pertaining to
 * distribution of the software or the documentation without specific,
 * written prior permission.
 *
 * Intel Corporation provides this AS IS, WITHOUT ANY WARRANTY, EXPRESS OR
 * IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY
 * OR FITNESS FOR A PARTICULAR PURPOSE.  Intel makes no guarantee or
 * representations regarding the use of, or the results of the use of,
 * the software and documentation in terms of correctness, accuracy,
 * reliability, currentness, or otherwise; and you rely on the software,
 * documentation and results solely at your own risk.
 *
 * IN NO EVENT SHALL INTEL BE LIABLE FOR ANY LOSS OF USE, LOSS OF BUSINESS,
 * LOSS OF PROFITS, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES
 * OF ANY KIND.  IN NO EVENT SHALL INTEL'S TOTAL LIABILITY EXCEED THE SUM
 * PAID TO INTEL FOR THE PRODUCT LICENSED HEREUNDER.
 *
 ******************************************************************************/
/*)ce*/
/*
 * This module contains target-specific parallel routines for the retargetable
 * DB960 monitor.  This implementation is for the EV960SX and EP960CX board.
 */

#include "common.h"
#include "i960.h"
#include "this_hw.h"

extern const unsigned short CRCtab[];

/***************************************************************************
 *  Changes must be made in C145.H for the ADDR variables for proper       *
 *  operation.                                                             *
 ***************************************************************************/

#define STATUS PP_READ_STATUS
volatile unsigned char *pp_data = (unsigned char *)PP_DATA_ADDR;
#if defined PP_DACK_BIT
volatile unsigned short *pp_stat = (unsigned short *)PP_STAT_ADDR;
#else
volatile unsigned char *pp_stat = (unsigned char *)PP_STAT_ADDR;
#endif
volatile unsigned char *pp_cont = (unsigned char *)PP_CTRL_ADDR;

void
parallel_err()
{
	*pp_cont = 0;
}

void
parallel_init()
{
	int val;
	
	*pp_cont = 0;
#if defined PP_ERR_BIT
	*pp_cont = PP_ERR_BIT;
#else
	*pp_cont = 3;
#endif
    val = *pp_data;
	val = *pp_stat;
}


int
parallel_read(data, size, crc)
register unsigned char * data;
register unsigned int size;
unsigned short *crc;
{
	register unsigned short sum;

    if (crc != NULL)
        sum = *crc;
	else
		sum = 0;

    while (size-- > 0)
        {
        while (((*pp_stat & STATUS) != STATUS) && !break_flag);
        while (((*pp_stat & STATUS) != STATUS) && !break_flag);
		
        *data = *pp_data;
#if defined PP_DACK_BIT
        *pp_stat = *pp_stat | PP_DACK_BIT;
        while ((*pp_stat & PP_DACK_BIT) != 0);
#endif
		sum = CRCtab[(sum^(*data))&0xff] ^ sum >> 8;
        data++;
        }

	if (break_flag)
		return ERR; 

    if (crc != NULL)
        *crc = sum;

	return OK;
}
