/**************************************************
 *                                                *
 *  Module Name:  globals.c                       *
 *                                                *
 *  Functions in this Module:                     *
 *    None.                                       *
 *                                                *
 *  This module contains all of the globally      *    
 *  accessible data used by TOMOS.                *
 *                                                *
 *  Revision History:                             *
 *                                                *
 *     TJ  12/31/94  Creation                     *
 *                                                *
 *************************************************/

#include "types.h"
#include "tomos.h"
#include "ostypes.h"
#include "timer.h"

/********************************
 * global variable definitions  *
 *******************************/

/* system state */
WORD    wTicker;                /* increments for each Tick interrupt         */
WORD    wIdleCntr;              /* increments each time idle task iterates    */
OSTCB   *ptcbCur;               /* pointer to TCB of currently executing task */
OSTCB   *ptcbList;              /* pointer to linked list of TCBs             */
BOOL    fOSRunning;             /* flag to indicate if TOMOS is running       */


/* Task Control Block (TCB) management */
OSTCB   *aptcbActiveTasks[MAX_TASKS + 1];
                                /* array of pointers to active tasks          */
OSTCB   atcbTasksTbl[MAX_TASKS + 1];
                                /* array of task control blocks               */
OSTCB   *ptcbFreeList;          /* pointer to next free TCB                   */

/* I/O devices */
CIODEV *CIO;                    /* ptr to struct modeling the 8536 CIO device */

