/**************************************************
 *                                                *
 *  Header file for GLOBALS.C                     *
 *                                                *
 *  This header is used mainly for the benefit of *
 *  other modules accessing global data.  It      *
 *  contains declarations for all global data.    *
 *                                                *
 *  Revision History:                             *
 *                                                *
 *     TJ  12/31/94  Creation                     *
 *                                                *
 *************************************************/

#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#include <stdio.h>
#include "ostypes.h"
#include "timer.h"

/********************************
 * global variable declarations *
 *******************************/

/* system state */
extern WORD    wTicker;                /* increments for each Tick interrupt         */
extern WORD    wIdleCntr;              /* increments each time idle task iterates    */
extern OSTCB   *ptcbCur;               /* pointer to TCB of currently executing task */
extern OSTCB   *ptcbList;              /* pointer to linked list of TCBs             */
extern BOOL    fOSRunning;             /* flag to indicate if TOMOS is running       */

/* variables allocated in on-chip data RAM */
/* see linker directive file (mcycx.ld)    */
extern BYTE    abTaskPrior[];          /* bit field indicating all ready tasks       */
extern BYTE    abTaskDelayed[];        /* bit field indicating delayed tasks         */
extern WORD    wHighestPriorRdy;       /* highest priority task ready to run         */

/* Task Control Block (TCB) */
extern OSTCB   *aptcbActiveTasks[];  /* array of pointers to active tasks          */
extern OSTCB   atcbTasksTbl[];       /* array of task control blocks               */
extern OSTCB   *ptcbFreeList;        /* pointer to next free TCB                   */

extern CIODEV *CIO;                  /* pointer to Ziolog Z8536 CIO */

#endif
