/**************************************************
 *                                                *
 *  Header:  ostypes.h                            *
 *                                                *
 *  Revision History:                             *
 *                                                *
 *     TJ  12/31/94  Creation                     *
 *                                                *
 *************************************************/

#ifndef _OSTYPES_H_
#define _OSTYPES_H_

#include "types.h"
#include "arch960.h"

/**************************************************
 * TOMOS type definitions                         *
 *************************************************/

/* typedef for task states */
typedef enum
{
  TASK_READY, TASK_RUNNING, TASK_DELAYED
} TS;

/* task control block definition */
typedef struct tagOSTCB
{
  GLOBREGS   GlobalRegs;         /* saved global registers                 */
  WORD       wPrevFrmPtr;        /* previous frame pointer of task         */
  TRCCTL     TraceCtl;           /* saved TC register                      */
  ARITHCTL   ArithCtl;           /* saved AC register                      */
  PROCCTL    ProcCtl;            /* saved PC register                      */
  WORD       wDelay;             /* delay                                  */
  void       *pvAllocStack;      /* pointer to task's allocated stack mem  */
  WORD       wStackSize;         /* task requested stack size              */
  struct     tagOSTCB *NextTCB;  /* pointer to next task control block     */
  struct     tagOSTCB *PrevTCB;  /* pointer to previous task control block */
  TS         tsStatus;           /* task status                            */
  WORD       wPriority;          /* task priority, 0 == lowest             */
} OSTCB;

#endif

