/**************************************************
 *                                                *
 *  Module Name:  timer.c                         *
 *                                                *
 *  Functions in this Module:                     *
 *    StartTimer()                                *
 *    InitTimerTick()                             *
 *                                                *
 *************************************************/

#include "types.h"
#include "ostypes.h"
#include "timer.h"
#include "globals.h"

/**************************************************
 *                                                *
 * Function:  StartTimer()                        *
 *                                                *
 * Description:                                   *
 *   This code is plagiarized and hacked up from  *
 *   MON960 source.  At the time this function    *
 *   developed, the author had no access to       *
 *   documentation on the Zilog Z8536 CIO.  As a  *
 *   result, this code is not documented.  This   *
 *   will be remedied in future revisions.        *
 *                                                *
 * Prototype:  int StartTimer(int iTimer,         *
 *                            int iTimeConst)     *
 *                                                *
 * Parameters:                                    *
 *                                                *
 *                                                *
 * Returns:                                       *
 *   Nothing.                                     *
 *                                                *
 * Revision History:                              *
 *                                                *
 *   TJ  12/30/94  Creation                       *
 *                                                *
 *************************************************/
static void StartTimer(int Timer, int TimeConst)
{
  BYTE bReg;

  CIO->Ctrl = 0x0A + Timer;
  CIO->Ctrl = 0xE0;

  CIO->Ctrl = 0x1C + Timer;
  CIO->Ctrl = 0x80;

  CIO->Ctrl = 0x16 + (Timer * 2);
  CIO->Ctrl = ((TimeConst >> 8) & 0xFF);
  CIO->Ctrl = 0x17 + (Timer * 2);
  CIO->Ctrl = (TimeConst & 0xFF);

  CIO->Ctrl = 0x0A + Timer;
  CIO->Ctrl = 0x20;

  CIO->Ctrl = 0x01;
  bReg = CIO->Ctrl;
  CIO->Ctrl = 0x01;
  CIO->Ctrl = bReg | (0x40 >> Timer);

  CIO->Ctrl = 0x0A + Timer;
  CIO->Ctrl = 0xC6;

  CIO->Ctrl = 0x00;
  CIO->Ctrl = 0x80;
}

/**************************************************
 *                                                *
 * Function:  InitTimerTick()                     *
 *                                                *
 * Description:                                   *
 *   Globally visible function used to initialize *
 *   the timer tick on the Z8536 CIO.  The user   *
 *   specifies a timer to use (there are three)   *
 *   and a time constant.  More information to    *
 *   come on how to pick a time constant for a    *
 *   desired clock tick frequency.                *
 *                                                *
 * Prototype:  int InitTimerTick(int iTimer,      *
 *                               int iTimeConst)  *
 *                                                *
 * Parameters:                                    *
 *                                                *
 *                                                *
 * Returns:                                       *
 *   Nothing.                                     *
 *                                                *
 * Revision History:                              *
 *                                                *
 *   TJ  12/30/94  Creation                       *
 *                                                *
 *************************************************/

void InitTimerTick(int Timer, int TimeConst)
{
  BYTE bReg;

  /* make sure Timer is valid - can only have 0 - 2 */
  if (Timer < 0 || Timer > 2)
    return;

  /* initialize pointer variable */
  CIO = CIO_BASEADDR;

  /* start up the timer */
  StartTimer(Timer, TimeConst);
}
