/**************************************************
 *                                                *
 *  Header file for TOMOS.C                       *
 *                                                *
 *  Revision History:                             *
 *                                                *
 *   TJ  12/31/94  Creation                       *
 *                                                *
 *************************************************/

#ifndef _TOMOS_H_
#define _TOMOS_H_

#include "ostypes.h"
#include "arch960.h"

/* macro constant definitions */
#define MAX_TASKS          255
#define MAX_PRIOR_BYTES    ((MAX_TASKS + 1) / 8)
#define IDLE_TASK_STK_SZ   8192
#define IDLE_TASK_PRIORITY 0

/***********************
 * Function Prototypes *
 **********************/

/* global functions */
void  Tick(void);
void  TOMOSInit(void);
int   TaskCreate(void (*)(void *), void *, int, int, BOOL);
void  TaskDelete(int);
void  StartTOMOS(void);
void  TaskDelay(WORD);
void  IdleTask(void *);

#endif

